package rip.iwakura.civil.events;
import org.bukkit.Bukkit;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.entity.PlayerDeathEvent;
import org.bukkit.event.player.PlayerRespawnEvent;

import rip.iwakura.civil.Core;

public class RespawnHandler implements Listener {
    private Core core;

    public RespawnHandler(Core core) {
        this.core = core;
    }

    @EventHandler
    public void respawnEvent(PlayerRespawnEvent ev) {
        if (ev.isBedSpawn()) return;

        ev.setRespawnLocation(core.getSpawn());
    }
}
